{This is not a part of the component;
This unit is just for testing the component}

unit Testdlg;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, ExtCtrls, StdCtrls, FileCtrl, Buttons, DB, DBTables,
  Dbexport;

type
  TFrmTest = class(TForm)
    Panel1: TPanel;
    BitBtn2: TBitBtn;
    BitBtn1: TBitBtn;
    Panel2: TPanel;
    DirectoryListBox1: TDirectoryListBox;
    FilterComboBox1: TFilterComboBox;
    Edit1: TEdit;
    FileListBox1: TFileListBox;
    tbl: TTable;
    Label1: TLabel;
    DBExportDialog1: TDBExportDialog;
    procedure BitBtn1Click(Sender: TObject);
    procedure FileListBox1DblClick(Sender: TObject);
  private
    { Dclarations private }
    procedure BatchExport;
  public
    { Dclarations public }
  end;

var
  FrmTest: TFrmTest;

implementation

{$R *.DFM}

procedure TFrmTest.BitBtn1Click(Sender: TObject);
begin
  tbl.DataBaseName := DirectoryListBox1.Directory;
  tbl.TableName := Edit1.text;
  DBExportDialog1.IniFile := 'NewFormats.ini';
  DBExportDialog1.execute;
end;

procedure TFrmTest.FileListBox1DblClick(Sender: TObject);
begin
    BitBtn1Click(self);
    // BatchExport;
end;

{this example shows how to make a batch export, and it is used also to
make a small bench}
procedure TFrmTest.BatchExport;
var start, stop : TDateTime;
begin
  tbl.DataBaseName := DirectoryListBox1.Directory;
  tbl.TableName := Edit1.text;
  DBExportDialog1.IniFile := 'NewFormats.ini';
  DBExportDialog1.ExportFile := 'c:\tmp\out.txt';
  start := time;
  DBExportDialog1.BatchExport('Contacts');
  stop := time;
  ShowMessage ( 'start : ' + TimeToStr(start) + ' stop : ' + TimeToStr(stop));
end;


end.
